Jump to content

Multiplayer Game Version


Recommended Posts

Hi,trevor.

TruckersMP update time is uncertain,which means we can only play 1.38s at this time.

If you want to play with the new version 1.39 or do the task of WOT.you will not be able to go online game.If you want to play online games,you have to downgrade the version to 1.38.

 

Have a nice day~

 

Sincerely,

Tony

Link to post
Share on other sites

Hello,

 

The developers will work as hard as they can to get 1.39 out for ETS2 and ATS on TruckersMP.  

We will have to be patient and wait until we get a further update. ;) 

 

As said above, once 1.39 is supported, World Of Trucks will be supported again. 

 

Kind Regards,

JamesS014

TruckersMP Report Moderator

  • Upvote 2
Link to post
Share on other sites
On 11/13/2020 at 1:39 PM, Icarus_R said:

Hi. I have downgraded my ETS2 game to 1.38.1.1.5 or something like that. But the Truckers MP program says it supports 1.38.1.11 version of the game. So I cant  play online at the moment. Any solutions for me?

Did you check to make sure that you were on the temporary_1_38 beta version? You can find it in the betas tab by right clicking the game in steam and then clicking properties.

Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...